//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 28.05.2025.
//

import SwiftUI

public struct CatalogButton: View {
    
    let title: String
    let disactive: Bool
    let action: () -> ()
    
    public init(title: String, disactive: Bool, action: @escaping () -> Void) {
        self.title = title
        self.disactive = disactive
        self.action = action
    }
    
    public var body: some View {
        CustomMainButtonView(title: title, size: .chips, disactive: disactive) {action()}
    }
}

#Preview {
    CatalogButton(title: "Женщинам", disactive: true) {
        
    }
}
